Page MenuHomePhabricator

Rendering issues with logo in Russian Wikipedia on mobile
Closed, ResolvedPublic1 Story Points

Description

I don’t know who did this but it needs to be fixed ASAP. Kerning is awful, x-height is awful, no small caps are present (check [2] below for correct small caps), it almost seems like designers didn’t check their fonts at all.

Proof:

  1. https://ru.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-ru.svg − ugly version
  2. https://commons.wikimedia.org/wiki/File:Википедия_(Wikipedia)_in_Russian_in_Linux_Libertine.svg − good version
  3. https://en.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-en.svg − no issues either

Seems to be related to this: T148514.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterTweak Russian logo wordmark
operations/mediawiki-config : masterUpdate Russian Wikipedia logo

Event Timeline

stjn created this task.Apr 3 2017, 11:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2017, 11:58 AM
stjn updated the task description. (Show Details)Apr 3 2017, 12:09 PM
stjn updated the task description. (Show Details)Apr 3 2017, 12:12 PM
Jdlrobson renamed this task from Ugly logo in Russian Wikipedia on mobile to Rendering issues with logo in Russian Wikipedia on mobile.Apr 4 2017, 10:31 PM
Jdlrobson triaged this task as Medium priority.

@stjn Apologies, I take the responsibility.

I fixed the SVG, please have a look so we can upload it.

stjn added a comment.Apr 5 2017, 7:21 AM

This version is fine, just to be sure − is white space on the right side necessary? Either way a lot better than now.

This version is fine, just to be sure − is white space on the right side necessary? Either way a lot better than now.

The whitespace is just the canvas size we have for wikipedia wordmarks in all languages. it's easy to produce the wordmarks with a template canvas. it won't matter in the implementation of the wordmark.

Thank you for flagging this issue. We will get this done shortly.

Jdlrobson moved this task from Needs Analysis to Doing on the Reading-Web-Sprint-95 board.
Jdlrobson added a subscriber: Nirzar.

Change 346581 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Update Russian Wikipedia logo

https://gerrit.wikimedia.org/r/346581

@Jdlrobson any plans to SWAT deploy the above change?

Change 346581 merged by jenkins-bot:
[operations/mediawiki-config@master] Update Russian Wikipedia logo

https://gerrit.wikimedia.org/r/346581

Mentioned in SAL (#wikimedia-operations) [2017-04-05T23:29:49Z] <thcipriani@tin> Synchronized static/images/mobile/copyright/wikipedia-wordmark-ru.svg: SWAT: [[gerrit:346581|Update Russian Wikipedia logo]] T162036 (duration: 00m 40s)

Jdlrobson removed a project: Patch-For-Review.
Jdlrobson added a subscriber: Jdlrobson.

New logo should be live now. @stjn can you confirm you see the new version of the logo?

stjn added a comment.Apr 6 2017, 3:09 PM

New logo should be live now. @stjn can you confirm you see the new version of the logo?

Yes, but the new version is considerably smaller than, for example, its English counterpart: https://i.imgur.com/vIbPxmJ.png

Jdlrobson reassigned this task from stjn to Nirzar.Apr 6 2017, 5:02 PM
Jdlrobson set the point value for this task to 1.

@Nirzar was this intentional?

@stjn we use fixed viewport to show site branding inside the header. the issue here is the descender of "д"

we have max height for site brand viewbox to be 18px. the descender in russian wordmark reduces the x-height of entire wordmark in case of Russian project logo. I would suggest adding local commons.css rule to increase this only for russian project. I can help writing that css. it would be 2 lines of change. an admin can add that. We did the same thing with Catalan logo because it optically looked misaligned. fixed it with local css. it's difficult to write one fits all design for 300 languages so we find the common denominator and then design per case basis. It's great to see people from their projects care about typography and this level of detail so I would be totally up for helping you fix this issue.

here's a visual way to see what i meant by the x-height issue.

stjn added a comment.Apr 9 2017, 10:21 AM

we have max height for site brand viewbox to be 18px. the descender in russian wordmark reduces the x-height of entire wordmark in case of Russian project logo.

OK, then I suggest you use it properly. Catalan logo still looks like shrinked version, and I don’t want this for Russian either, since the descender of ‘д’ isn’t part of the x-height, just like descender of ‘p’ isn’t part of it. Compare it with logo from [2] with 116px width and 0.25em margin-top: https://i.imgur.com/qNMqXQ8.png − x-height is a little bit smaller, but at least the whole logo isn’t.

@stjn BRB Trying to find a way to increase the size on per project basis

Nirzar changed the task status from Open to Stalled.Apr 10 2017, 5:31 PM
Nirzar changed the task status from Stalled to Open.
Nirzar added a comment.EditedApr 12 2017, 5:25 PM

Bigger Russian wikipedia logo. 21px height so as to not increase the size of the header

Change 347888 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Tweak Russian logo wordmark

https://gerrit.wikimedia.org/r/347888

stjn added a comment.Apr 12 2017, 5:34 PM

Bigger Russian wikipedia logo. 21px height so as to not increase the size of the header

Seems to look a lot better and clearer, thanks.

Change 347888 merged by jenkins-bot:
[operations/mediawiki-config@master] Tweak Russian logo wordmark

https://gerrit.wikimedia.org/r/347888

Mentioned in SAL (#wikimedia-operations) [2017-04-12T18:16:57Z] <thcipriani@tin> Synchronized static/images/mobile/copyright/wikipedia-wordmark-ru.svg: SWAT: [[gerrit:347888|Tweak Russian logo wordmark]] T162036 PART I (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-04-12T18:18:04Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:347888|Tweak Russian logo wordmark]] T162036 PART II (duration: 00m 43s)

New logo is live. Ping @Nirzar @stjn - can be resolve this task now?

stjn added a comment.Apr 13 2017, 2:20 PM

It looks worse than I expected it to (because it is still ≈80% of needed width or height in comparison) but I don’t want to take your time anymore with such low-priority task.

Nirzar closed this task as Resolved.Apr 13 2017, 4:27 PM

@stjn I think it looks much better than where we started at. Let's resolve this and thank you for your help fixing the main issue with kerning.